
From: Dominik Brodowski <linux@dominikbrodowski.net>

Update the PCMCIA documentation to reflect some more, though older, changes. 
Parts extracted from an e-mail from Randy Dunlap with his consent.

Signed-off-by: Randy Dunlap <rdunlap@xenotime.net>
Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/pcmcia/driver-changes.txt |    9 +++++++++
 1 files changed, 9 insertions(+)

diff -puN Documentation/pcmcia/driver-changes.txt~pcmcia-update-documentation Documentation/pcmcia/driver-changes.txt
--- devel/Documentation/pcmcia/driver-changes.txt~pcmcia-update-documentation	2005-07-28 01:05:52.000000000 -0700
+++ devel-akpm/Documentation/pcmcia/driver-changes.txt	2005-07-28 01:05:52.000000000 -0700
@@ -56,3 +56,12 @@ This file details changes in 2.6 which a
    memory regions in-use. The name argument should be a pointer to
    your driver name. Eg, for pcnet_cs, name should point to the
    string "pcnet_cs".
+
+* CardServices is gone
+  CardServices() in 2.4 is just a big switch statement to call various
+  services.  In 2.6, all of those entry points are exported and called
+  directly (except for pcmcia_report_error(), just use cs_error() instead).
+
+* struct pcmcia_driver
+  You need to use struct pcmcia_driver and pcmcia_{un,}register_driver
+  instead of {un,}register_pccard_driver
_
